/* General parameter definitions for Eurogam Sort  */

#ifndef INCstatstruct
#define INCstatstruct

/* Following ptr is set by local_init to environment requirements */

struct statistics_record {
  long long blocks_input1;                   /* EB   SORT */
  long long blocks_input2;                   /* EB   SORT */
  long long blocks_input3;                   /* EB   SORT */
  long long blocks_input4;                   /* EB   SORT */
  long long blocks_read1;                    /*      SORT */
  long long blocks_read2;                    /*      SORT */
  long long blocks_read3;                    /*      SORT */
  long long blocks_read4;                    /*      SORT */
  long long blocks_output1;                  /* EB   SORT */
  long long blocks_output2;                  /* EB   SORT */
  long long blocks_output3;                  /* EB   SORT */
  long long blocks_output4;                  /* EB   SORT */
  long long events_read1;                    /* EB   SORT */
  long long events_read2;                    /*      SORT */
  long long events_read3;                    /*      SORT */
  long long events_read4;                    /*      SORT */
  long long events_output1;                  /* EB   SORT */
  long long events_output2;                  /* EB   SORT */
  long long events_output3;                  /* EB   SORT */
  long long events_output4;                  /* EB   SORT */
  long long bad_address;                     /* EB        */
  long long bad_blockstart;                  /* EB        */
  long long no_blockend;                     /* EB        */
  long long repeated_word;                   /* EB        */
  long long internal_error;                  /* EB        */
  long long no_startevent;                   /* EB        */
  long long unexpected_data;                 /* EB        */
  long long no_endevent;                     /* EB        */
  long long no_endsubevent;                  /* EB        */
  long long no_triggerwords;                 /* EB        */
  long long bad_startevent;                  /* EB        */
  long long spare1;
}; 


#endif
