set private_experiment  1

proc check_spectrum_resource {} {
    global env experimentdir apparatus_name resource_cap  private_experiment

    # Read our current resources
    
    set present 0

    if {$private_experiment == 0} {
	check_experiment
    } {
	set experimentdir [file join $env(MIDASTempDir) tcl[pid]  "sort_localhost"]
	if {![file exists $experimentdir]} {
	    set z [ catch { :file mkdir $experimentdir } m ]
	    if { $z != 0 } {
		puts "Setting Experiment dierctory FAILED"
		set-footer "Setting Experiment directory FAILED"
		return
	    }
	}
    }

    if {[get-resources]} {
	set present 1
	if { $resource_cap != "0x0000000000000000" } {
	    set present 2
	    return $present
	}
	:apparatus free   :name $apparatus_name
	:apparatus claim  :name $apparatus_name
    } {
	attach-apparatus
	if {[get-resources]} {
	    set present 1
	    if { $resource_cap != "0x0000000000000000" } {
		set present 2
		return $present
	    }
	    :apparatus claim  :name $apparatus_name
	}
    }
    return $present
}

proc free-claim-apparatus {} {
    global apparatus_name
    :apparatus free   :name $apparatus_name
    :apparatus claim  :name $apparatus_name
}

proc quiet-free-claim-apparatus {} {
    global apparatus_name
    set z [catch {eg "(apparatus :name '$apparatus_name' !free)"} m]
    :apparatus claim  :name $apparatus_name
}
